apiVersion: monitoring.coreos.com/v1
kind: PodMonitor
metadata:
  name: pve-exporter
  labels:
    app: pve-exporter
    prometheus.io/backend: prometheus
    prometheus.io/version: v1
spec:
  jobLabel: jobLabel
  namespaceSelector:
    any: false
  selector:
    matchLabels:
      app: pve-exporter
      jobLabel: pve
  podMetricsEndpoints:
    - port: http
      path: /pve
      params:
        target: ['proxmox.davinkevin.fr:443']
      relabelings:
        - sourceLabels: [ __param_target ]
          targetLabel: instance
        - action: labeldrop
          regex: 'endpoint|namespace|pod|container'
